Package oracle.sql.json

## Interface OracleJsonNumber

All Superinterfaces:
  `OracleJsonValue`

All Known Subinterfaces:
  `OracleJsonDecimal`, `OracleJsonDouble`, `OracleJsonFloat`

    public interface OracleJsonNumber
    extends OracleJsonValue

Super type of `OracleJsonDecimal`, `OracleJsonDouble`, and `OracleJsonFloat`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.math.BigDecimal` `bigDecimalValue()` Returns this number as a `BigDecimal` value.
`java.math.BigInteger` `bigIntegerValue()` Returns this number as a `BigInteger`.
`java.math.BigInteger` `bigIntegerValueExact()` Returns this number as a `BigInteger`.
`double` `doubleValue()` Returns this value as a `double`.
`float` `floatValue()` Returns this value as a `float`.
`int` `intValue()` Returns this number as an int.
`int` `intValueExact()` Returns this number as an int.
`boolean` `isIntegral()` Returns true when `bigDecimalValue().scale() == 0`.
`long` `longValue()` Returns this number as a long.
`long` `longValueExact()` Returns this number as an long.

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, asJsonVector, getOracleJsonType, toString, wrap`

### Method Detail

#### isIntegral

    boolean isIntegral()

Returns true when `bigDecimalValue().scale() == 0`.

Returns:
  true if this is an integral number

#### intValue

    int intValue()

Returns this number as an int. This number may lose information about the overall magnitude and precision of the number value.

Returns:
  the number as an int

#### intValueExact

    int intValueExact()

Returns this number as an int.

Returns:
  the number as an int
Throws:
  `java.lang.ArithmeticException` - if the number has a non-fractional part or if it does not fit in an int

#### longValue

    long longValue()

Returns this number as a long. This number may lose information about the overall magnitude and precision of the number value.

Returns:
  the number as an long

#### longValueExact

    long longValueExact()

Returns this number as an long.

Returns:
  the number as an long
Throws:
  `java.lang.ArithmeticException` - if the number has a non-fractional part or if it does not fit in an long

#### bigDecimalValue

    java.math.BigDecimal bigDecimalValue()

Returns this number as a `BigDecimal` value.

Returns:
  the number as a `BigDecimal`

#### bigIntegerValue

    java.math.BigInteger bigIntegerValue()

Returns this number as a `BigInteger`. This number may lose information about the overall magnitude and precision of the number value.

Returns:
  the number as an `BigInteger`

#### bigIntegerValueExact

    java.math.BigInteger bigIntegerValueExact()

Returns this number as a `BigInteger`.

Returns:
  the number as an `BigInteger`
Throws:
  `java.lang.ArithmeticException` - if the number has a non-fractional part or if it does not fit in an long

#### doubleValue

    double doubleValue()

Returns this value as a `double`. For values of type `OracleJsonValue.OracleJsonType.DECIMAL` this method may lose information about the overall magnitude and precision of the number value.

Returns:
  the number as a `double`.

#### floatValue

    float floatValue()

Returns this value as a `float`. For values of type `OracleJsonValue.OracleJsonType.DECIMAL` or `OracleJsonValue.OracleJsonType.DOUBLE` this method may lose information about the overall magnitude and precision of the number value.

Returns:
  the number as a `float`.